Bug 51709 - Window title is mojibake
Summary: Window title is mojibake
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: nautilus (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-14 05:38 UTC by Akira TAGOH
Modified: 2007-04-18 16:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-17 14:09:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot is here (68.98 KB, image/jpeg)
2001-08-14 05:46 UTC, Akira TAGOH
no flags Details

Description Akira TAGOH 2001-08-14 05:38:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.3+) Gecko/20010810

Description of problem:
When browsed the Japanese web page, window title is mojibake.

How reproducible:
Always

Steps to Reproduce:
1.browse the Japanese web page with Nautilus
2.see a window title.
3.
	

Actual Results:  Mojibake!!

Expected Results:  show Japanese correctly.

Additional info:

This problem doesn't depend an encoding of page. e.g. iso2022-jp, euc-jp,
shift_jis
maybe Nautilus doesn't convert the string to the locale encoding from UTF-8
I think.

Comment 1 Akira TAGOH 2001-08-14 05:46:03 UTC
Created attachment 27675 [details]
screenshot is here

Comment 2 Glen Foster 2001-08-14 19:08:25 UTC
This defect is considered SHOULD-FIX for Fairfax.

Comment 3 Havoc Pennington 2001-08-15 19:08:16 UTC
Chris what encoding is the title from the Mozilla component in?

Comment 4 Christopher Blizzard 2001-08-15 19:59:31 UTC
I think it's UTF-8.  0.9.2 doesn't include the i18n stuff in the extended WM
spec, btw.

Comment 5 Christopher Blizzard 2001-08-17 14:09:52 UTC
Woops.  That's not UTF-8.  I didn't realize that we were talking about Nautilus.
 I thought we were talking about Mozilla.

The string that's passed back to Nautilus through gtk_moz_embed_get_title()
isn't UTF-8.  In fact, it's probably converted to a C-string by chopping off the
high bits.  You need to use gtk_moz_embed_get_title_unichar() instead.  This
will hand you back Mozilla's internal UTF-16-like encoded string.  You can use
one of the conversion functions to get a UTF-8 encoded string from that and then
you can convert it to the locale-specific encoding.

You can also throw the UTF-8 encoded string up using the new-style _NET* X
properties, assuming the wm supports it.

Comment 6 Havoc Pennington 2001-08-20 23:42:51 UTC
nautilus-1.0.4-35 should fix this problem. Well, it displays the same thing as
Mozilla itself for www.jp.redhat.com. It still looks kind of wrong, but 
it must be a Mozilla not a Nautilus issue if so.

Comment 7 Havoc Pennington 2001-08-20 23:46:01 UTC
Disregard what I said about it looking wrong, we were testing it in en_US. ;-)

It looks fine in a jp locale.


Note You need to log in before you can comment on or make changes to this bug.